package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;

/**
 * 商品评价列表查询
 *
 * @author zhuxiaofeng
 * @ClassName OrderItemCommentQuery
 * @date 2021/03/30 4:45 下午
 */
public class OrderItemCommentQuery extends BasePageQuery {

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long goodsId;

    /**
     * skuId
     */
    private Long itemId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 评论开始时间
     */
    private Date commentAtStart;

    /**
     * 评论结束时间
     */
    private Date commentAtEnd;

    /**
     * 假分页大小
     */
    private Integer fakePageSize;

    /**
     * 商家是否回复 0：未回复 1：已回复
     */
    private String sellerReply;

    /**
     * 是否存在图片 0：不存在 1：存在
     */
    private String existImage;

    /**
     * 评价分数开始
     */
    private Integer commentScoreStart;

    /**
     * 评价分数结束
     */
    private Integer commentScoreEnd;

    /**
     * 导出类型
     */
    private Integer exportType;

    /**
     * 机构id
     */
    private Long orgId;

    /**
     * 数量
     */
    private Integer size;

    /**
     * 末尾id
     */
    private Long lastId;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 门店ID列表
     */
    private List<Long> storeIdList;

    /**
     * 是否匿名 0:否 1:是
     */
    private Integer anonymous;

    /**
     * 商家回复开始时间
     */
    private Date replyAtStart;

    /**
     * 商家回复结束时间
     */
    private Date replyAtEnd;

    /**
     * 导出人id
     */
    private Long exportPersonId;

    /**
     * 导出人
     */
    private String exportPerson;

    /**
     * 导出文件名前缀
     */
    private String prefixFileName;

    private Integer sortFlag;

    /**
     * 更新时间开始
     */
    private Date updatedAtStart;

    /**
     * 更新时间结束
     */
    private Date updatedAtEnd;

    /**
     * 是否隐藏评论
     * 0：不隐藏
     * 1：隐藏
     */
    private Integer hide;

    public Integer getHide() {
        return hide;
    }

    public void setHide(Integer hide) {
        this.hide = hide;
    }

    public Date getUpdatedAtStart() {
        return updatedAtStart;
    }

    public void setUpdatedAtStart(Date updatedAtStart) {
        this.updatedAtStart = updatedAtStart;
    }

    public Date getUpdatedAtEnd() {
        return updatedAtEnd;
    }

    public void setUpdatedAtEnd(Date updatedAtEnd) {
        this.updatedAtEnd = updatedAtEnd;
    }

    public Integer getSortFlag() {
        return sortFlag;
    }

    public void setSortFlag(Integer sortFlag) {
        this.sortFlag = sortFlag;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Date getCommentAtStart() {
        return commentAtStart;
    }

    public void setCommentAtStart(Date commentAtStart) {
        this.commentAtStart = commentAtStart;
    }

    public Date getCommentAtEnd() {
        return commentAtEnd;
    }

    public void setCommentAtEnd(Date commentAtEnd) {
        this.commentAtEnd = commentAtEnd;
    }

    public Integer getFakePageSize() {
        return fakePageSize;
    }

    public void setFakePageSize(Integer fakePageSize) {
        this.fakePageSize = fakePageSize;
    }

    public String getSellerReply() {
        return sellerReply;
    }

    public void setSellerReply(String sellerReply) {
        this.sellerReply = sellerReply;
    }

    public String getExistImage() {
        return existImage;
    }

    public void setExistImage(String existImage) {
        this.existImage = existImage;
    }

    public Integer getCommentScoreStart() {
        return commentScoreStart;
    }

    public void setCommentScoreStart(Integer commentScoreStart) {
        this.commentScoreStart = commentScoreStart;
    }

    public Integer getCommentScoreEnd() {
        return commentScoreEnd;
    }

    public void setCommentScoreEnd(Integer commentScoreEnd) {
        this.commentScoreEnd = commentScoreEnd;
    }

    public Integer getExportType() {
        return exportType;
    }

    public void setExportType(Integer exportType) {
        this.exportType = exportType;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Long getLastId() {
        return lastId;
    }

    public void setLastId(Long lastId) {
        this.lastId = lastId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public List<Long> getStoreIdList() {
        return storeIdList;
    }

    public void setStoreIdList(List<Long> storeIdList) {
        this.storeIdList = storeIdList;
    }

    public Integer getAnonymous() {
        return anonymous;
    }

    public void setAnonymous(Integer anonymous) {
        this.anonymous = anonymous;
    }

    public Date getReplyAtStart() {
        return replyAtStart;
    }

    public void setReplyAtStart(Date replyAtStart) {
        this.replyAtStart = replyAtStart;
    }

    public Date getReplyAtEnd() {
        return replyAtEnd;
    }

    public void setReplyAtEnd(Date replyAtEnd) {
        this.replyAtEnd = replyAtEnd;
    }

    public Long getExportPersonId() {
        return exportPersonId;
    }

    public void setExportPersonId(Long exportPersonId) {
        this.exportPersonId = exportPersonId;
    }

    public String getExportPerson() {
        return exportPerson;
    }

    public void setExportPerson(String exportPerson) {
        this.exportPerson = exportPerson;
    }

    public String getPrefixFileName() {
        return prefixFileName;
    }

    public void setPrefixFileName(String prefixFileName) {
        this.prefixFileName = prefixFileName;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
